xcb_xinerama_query_screens(3)

NAME
xcb_xinerama_query_screens -

SYNOPSIS
#include <xcb/xinerama.h>

  Request function

xcb_xinerama_query_screens_cookie_t xcb_xinerama_query_screens(xcb_connection_t *conn,

  Reply datastructure

typedef struct xcb_xinerama_query_screens_reply_t {
    uint8_t  response_type;
    uint8_t  pad0;
    uint16_t sequence;
    uint32_t length;
    uint32_t number;
    uint8_t  pad1[20];
} xcb_xinerama_query_screens_reply_t;

  Reply function

xcb_xinerama_query_screens_reply_t *xcb_xinerama_query_screens_reply(xcb_connection_t *conn, xcb_xinerama_query_screens_cookie_t cookie, xcb_generic_error_t **e);

  Reply accessors

xcb_xinerama_screen_info_t *xcb_xinerama_query_screens_screen_info(const xcb_xinerama_query_screens_request_t *reply);

int xcb_xinerama_query_screens_screen_info_length(const xcb_xinerama_query_screens_reply_t *reply);

xcb_xinerama_screen_info_iterator_t xcb_xinerama_query_screens_screen_info_iterator(const xcb_xinerama_query_screens_reply_t *reply);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

REPLY FIELDS

response_type
    The type of this reply, in this case XCB_XINERAMA_QUERY_SCREENS. This field is also present in the xcb_generic_reply_t and can be used to tell replies apart from each other.

sequence
    The sequence number of the last request processed by the X11 server.

length
    The length of the reply, in words (a word is 4 bytes).

number
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_xinerama_query_screens_cookie_t. Errors have to be handled when calling the reply function xcb_xinerama_query_screens_reply. If you want to handle errors in the event loop instead, use xcb_xinerama_query_screens_unchecked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from xinerama.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.